#ifndef __OSB_BINARY_IO_H_INCLUDED
#define __OSB_BINARY_IO_H_INCLUDED

/* Write a byte on a port */
#define outb(port, value) \
   __asm__ volatile ( \
      "outb %b0,%w1" \
      ::"a" (value),"Nd" (port) \
   ) \

/* Read a byte on a port */
#define inb(port) ({ \
  unsigned char res; \
   __asm__ volatile ( \
      "inb %w1,%0" \
      :"=a" (res) \
      :"Nd" (port) \
   ); \
  _v; \
})


#endif
